Redmine - Defect #31438

Incorrect position of the "Associated revisions™ block when comments are displayed in reverse
chronological order

2019-05-24 09:59 - Mathias Buder

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.0.4

Resolution: Fixed Affected version: 4.0.3

Description
Hi all,

I noticed that the associated revisions block is not places next to the comments section as it used to be. This happens when a user
selects to display comments - In reverse chronological order option in /my/account. If it is set up to be displayed in chronological
order everything looks just fine. I've attached a screenshot with shows the issue (this is the Purplemine theme here but it happen with
the original one to0).

mrliptontea from the Purplemine project found the root cause for this and wrote the following:

Aha! I found the cause - this happens when a user selects Display comments - In reverse chronologi
cal order option in /my/account.

The same layout issue then happens with the default theme. This is because with reversed order the
contextual menu is also displayed above the comment history, as defined in the template.

Sorry but I'm afraid I can't fix this.

He marked the possible issue inside the redmine source code here.

Subtasks Add
Related tickets Add
Associated revisions

Revision 11 (diff) Added by Mathias Buder 6 months ago

Adled STEP model with TNC connector. ([ )

Revision 10 (diff) Added by Mathias Buder 6 months ago

Updated STEP model to be provided to the customer. tmj

Revision 9 (diff) Added by Mathias Buder 6 months ago

Updated hausing length, maunting hole diameter and added mating TNC connecter. {

# Edit  ©logtime t7 Watch €% Copy
History

All | Notes Changes
Updated by Mathias Buder 6 months ago ® 48 =0
Status changed from Review to Completed

Design reviewed by Ingo Bebermeier and previded to the customer.

Related issues:

Related to Redmine - Feature #3058: Show issue history using tabs Closed 2009-03-26
Related to Redmine - Feature #23518: Move action links and edit form above th... Closed
Related to Redmine - Patch #32370: Action menu on issues details should not f... New

Associated revisions

Revision 18229 - 2019-06-06 16:35 - Go MAEDA

Fix incorrect position of the "Associated revisions" block when comments are displayed in reverse chronological order (#31438).
https://github.com/redmine/redmine/blob/d646ec22cfd9b905688be010bf16c429bf31718f/app/views/issues/show.html.erb#L130-L139

Patch by Go MAEDA.

Revision 18235 - 2019-06-07 00:32 - Go MAEDA
Merged r18229 from trunk to 4.0-stable (#31438).

History

#1 - 2019-05-26 02:40 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Invalid
Since the problem occurs only in the third-party theme, there is nothing we can do.
| hope the theme developer suggests how to update the Redmine's code to fix their issue.
#2 - 2019-05-26 15:03 - Mathias Buder
- File 2019-05-26 14_59 33-Window.png added
- Status changed from Closed to Reopened
Hi,
thanks for the quick replay.
As I've wrote in the description is happens also with the default Redmine theme. See attached screenshot.
Mathias Buder wrote:
Hi all,
| noticed that the associated revisions block is not places next to the comments section as it used to be. This happens when a user selects to

display comments - In reverse chronological order option in /my/account. If it is set up to be displayed in chronological order everything looks just
fine. I've attached a screenshot with shows the issue (this is the Purplemine theme here but it happen with the original one too).

2019-05-26 14_59_33-Window.png

#3 - 2019-05-26 15:34 - Go MAEDA
- Resolution deleted (Invalid)

I think it will be fixed if #3058 is merged to the trunk.

#4 - 2019-05-26 15:34 - Go MAEDA
- Related to Feature #3058: Show issue history using tabs added

#5 - 2019-05-27 05:23 - Go MAEDA

- File fix-31438.diff added

- File 31438-before@2x.png added

- File 31438-after@2x.png added

- Status changed from Reopened to Confirmed

- Target version set to Candidate for next minor release

| think the attached patch fixes the issue.

[Before]
https://www.redmine.org/issues/3058

Associated revisions
Revision 11 (diff)
Added by schmidt almost 9 years ago
adding test data for #5548
Edit (4 Log time Watch Copy Delete
History
Updated by Redmine Admin 3 minutes ago #3
cccecc
Updated by Redmine Admin 4 minutes ago #2
After]
Edit (4 Log time Watch Copy Delete
History Associated revisions
Updated by Redmine Admin 4 minutes ago #3 Revision 11 (diff)
Added by schmidt almost 9 years ago
ceeece adding test data for #5548
Updated by Redmine Admin 5 minutes ago #2
bbbbb
Updated by Redmine Admin 17 minutes ago #1
aaaaaa
Also available in: ) Atom | PDF

#6 - 2019-05-27 07:14 - Go MAEDA

- Related to Feature #23518: Move action links and edit form above the history when displaying comments in reverse order added

#7 - 2019-05-27 11:29 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.0.4

#8 - 2019-06-06 16:37 - Go MAEDA

- Subject changed from Associated revisions block not places next to history to Incorrect position of the "Associated revisions" block when comments
are displayed in reverse chronological order

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

Committed the fix. Thank you for reporting this issue.

#9 - 2019-06-07 00:32 - Go MAEDA
- Status changed from Resolved to Closed

- Resolution set to Fixed

#10 - 2019-10-29 11:10 - Tomas Hubik

| am using Redmine 4.0.5 and | am still facing this issue.

#11 - 2019-10-30 06:10 - Bernhard Rohloff
- Related to Patch #32370: Action menu on issues details should not flip with the history order added

Files

Wrong_location_assisiated_revisions.png 36.5 KB 2019-05-24 Mathias Buder
2019-05-26 14_59_33-Window.png 19.3 KB 2019-05-26 Mathias Buder
fix-31438.diff 667 Bytes 2019-05-27 Go MAEDA
31438-before@2x.png 25.6 KB 2019-05-27 Go MAEDA
31438-after@2x.png 32.9 KB 2019-05-27 Go MAEDA
